GET private-repository/repository-details/{geoLocation}
Gets the details of a repository associated with the private location for the current customer.
URL Parameters
| Name | Description |
|---|---|
| geoLocation | The geoLocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoLocation.Request example
curl --request GET "https://api-asm2.apica.io/v3/private-repository/repository-details/{geoLocation}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "c21155ab-dd6e-4090-907b-232726ff589a",
"customer_guids": [
"960f0a5c-d880-4f6c-bbe7-f3aa8aaa17aa",
"2ab0bd45-7929-49ae-a02b-c6affc2f5eaa",
"ce72d9f3-c56f-4a2c-a83a-4822d0a6bf80"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "a936f726-e092-4c01-8f30-5793ce722ea9",
"customer_guids": [
"dcc4a9ef-4db6-4c74-adc4-3415e952aebb",
"cc10a5d4-44d5-45f3-8ec1-78ccec29d021",
"b1082bc5-7b6e-4c42-b215-45a619cf5e5e"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "b793a693-cf80-4c14-80c9-5f056efd0ff9",
"customer_guids": [
"9d23464c-c43c-4920-b473-7e0dc416ed32",
"6fd13f88-92eb-4200-9e4a-6b19c75ae433",
"75ca95f2-ba67-446c-85ca-3a6db517af48"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
}
]
| Name | Type | Description |
|---|---|---|
| Id | Guid |
No documentation available. |
| CustomerGuids | Object |
No documentation available. |
| RepositoryName | String |
No documentation available. |
| RepositoryUrl | String |
No documentation available. |
| Username | String |
No documentation available. |
| Geolocs | Object |
No documentation available. |
| Type | String |
No documentation available. |
| Images | Object |
No documentation available. |
| fpr | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| zebratester | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| runbin | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| postman | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| Mirroring | Boolean |
No documentation available. |
| Message | String |
No documentation available. |
| Success | Boolean |
No documentation available. |